Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003628 [JEDI VCL] 00 JVCL Components minor always 2006-04-06 22:58 2006-04-14 05:38
Reporter undead_geo View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.10
Summary 0003628: JvDatePickerEdit
Description 1. The system ShortDateFormat is 'M/d/yyyy', while the JvDatePickerEdit.DateFormat is set to 'dd/MM/yyyy'.
2. When date selected in the Edit is '07/04/2006' (7th April 2006), when we press the down arrow button, the date that is selected in the dropdown combo is 4th July 2006, and if we pressed the down arrow button again, the combo will disappear and the Edit is replaced with '04/07/2006' ( 4th July 2006 ).
Additional Information Fixed this by replacing the TJvCustomDatePickerEdit.SetPopupValue procedure with:

procedure TJvCustomDatePickerEdit.SetPopupValue(const Value: Variant);
var
  ADate: TDateTime;
begin
  if FPopup is TJvDropCalendar then
    //TJvDropCalendar(FPopup).SelDate :=
    // StrToDateDef(VarToStr(Value), SysUtils.Date);
  begin
    AttemptTextToDate(VarToStr(Value), ADate);
    TJvDropCalendar(FPopup).SelDate:=ADate;
  end;
end;
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0009107)
obones (administrator)
2006-04-14 05:38

Thanks, this is now in CVS.

- Issue History
Date Modified Username Field Change
2006-04-06 22:58 undead_geo New Issue
2006-04-07 04:04 obones Status new => acknowledged
2006-04-14 05:38 obones Status acknowledged => resolved
2006-04-14 05:38 obones Resolution open => fixed
2006-04-14 05:38 obones Assigned To => obones
2006-04-14 05:38 obones Note Added: 0009107


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker